### Method

# Ide SearchReducer take

#### Declaration

    void
    ide_search_reducer_take (
      IdeSearchReducer* reducer,
      IdeSearchResult* result
    )

#### Description

Like `ide_search_reducer_push()` but takes ownership of `result` by stealing the reference.

Available since: | 3.32

#### Parameters

`result` | `IdeSearchResult`
| An `IdeSearchResult`.
| The instance takes ownership of the data, and is responsible for freeing it.